if (CSS.registerProperty) {
  /* Neutral Base 100 - if used as a background, please use Neutral Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Neutral Base 95 - if used as a background, please use Neutral Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f3f3f3",
  });
  /* Neutral Base 90 - if used as a background, please use Neutral Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e5e5e5",
  });
  /* Neutral Base 80 - if used as a background, please use Neutral Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#c9c9c9",
  });
  /* Neutral Base 70 - if used as a background, please use Neutral Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aeaeae",
  });
  /* Neutral Base 65 - if used as a background, please use Neutral Base 15-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a0a0a0",
  });
  /* Neutral Base 60 - if used as a background, please use Neutral Base 100 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#939393",
  });
  /* Neutral Base 50 - if used as a background, please use Neutral Base 100-95 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#747474",
  });
  /* Neutral Base 40 - if used as a background, please use Neutral Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5c5c5c",
  });
  /* Neutral Base 30 - if used as a background, please use Neutral Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#444444",
  });
  /* Neutral Base 20 - if used as a background, please use Neutral Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e2e2e",
  });
  /* Neutral Base 15 - if used as a background, please use Neutral Base 100-65 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#242424",
  });
  /* Neutral Base 10 - if used as a background, please use Neutral Base 100-65 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-neutral-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Brand Base 100 - if used as a background, please use Brand Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Brand Base 95 - if used as a background, please use Brand Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eef4ff",
  });
  /* Brand Base 90 - if used as a background, please use Brand Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d8e6fe",
  });
  /* Brand Base 80 - if used as a background, please use Brand Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aacbff",
  });
  /* Brand Base 70 - if used as a background, please use Brand Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#78b0fd",
  });
  /* Brand Base 65 - if used as a background, please use Brand Base 15-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#57a3fd",
  });
  /* Brand Base 60 - if used as a background, please use Brand Base 100 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Brand Base 50 - if used as a background, please use Brand Base 100-95 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Brand Base 40 - if used as a background, please use Brand Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Brand Base 30 - if used as a background, please use Brand Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Brand Base 20 - if used as a background, please use Brand Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
  /* Brand Base 15 - if used as a background, please use Brand Base 100-65 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#03234d",
  });
  /* Brand Base 10 - if used as a background, please use Brand Base 100-65 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-brand-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Error Base 100 - if used as a background, please use Error Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Error Base 90 - if used as a background, please use Error Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feded8",
  });
  /* Error Base 80 - if used as a background, please use Error Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feb8ab",
  });
  /* Error Base 70 - if used as a background, please use Error Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe8f7d",
  });
  /* Error Base 60 - if used as a background, please use Error Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe5c4c",
  });
  /* Error Base 50 - if used as a background, please use Error Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ea001e",
  });
  /* Error Base 40 - if used as a background, please use Error Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ba0517",
  });
  /* Error Base 30 - if used as a background, please use Error Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8e030f",
  });
  /* Error Base 20 - if used as a background, please use Error Base 100-60 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#640103",
  });
  /* Error Base 10 - if used as a background, please use Error Base 100-50 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-error-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#300c01",
  });
  /* Warning Base 100 - if used as a background, please use Warning Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Warning Base 90 - if used as a background, please use Warning Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fedfd0",
  });
  /* Warning Base 80 - if used as a background, please use Warning Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffba90",
  });
  /* Warning Base 70 - if used as a background, please use Warning Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe9339",
  });
  /* Warning Base 60 - if used as a background, please use Warning Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#dd7a01",
  });
  /* Warning Base 50 - if used as a background, please use Warning Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a96404",
  });
  /* Warning Base 40 - if used as a background, please use Warning Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#825101",
  });
  /* Warning Base 30 - if used as a background, please use Warning Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5f3e02",
  });
  /* Warning Base 20 - if used as a background, please use Warning Base 100-60 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3e2b02",
  });
  /* Warning Base 10 - if used as a background, please use Warning Base 100-50 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-warning-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#201600",
  });
  /* Success Base 100 - if used as a background, please use Success Base 60-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Success Base 90 - if used as a background, please use Success Base 50-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cdefc4",
  });
  /* Success Base 80 - if used as a background, please use Success Base 40-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#91db8b",
  });
  /* Success Base 70 - if used as a background, please use Success Base 30-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#45c65a",
  });
  /* Success Base 60 - if used as a background, please use Success Base 20-10 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3ba755",
  });
  /* Success Base 50 - if used as a background, please use Success Base 100-90 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e844a",
  });
  /* Success Base 40 - if used as a background, please use Success Base 100-80 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#22683e",
  });
  /* Success Base 30 - if used as a background, please use Success Base 100-70 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#194e31",
  });
  /* Success Base 20 - if used as a background, please use Success Base 100-60 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0e3522",
  });
  /* Success Base 10 - if used as a background, please use Success Base 100-50 to meet accessibility guidelines. */
  CSS.registerProperty({
    name: "--sds-g-color-success-base-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#071b12",
  });
  /* Nuetral border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-base-1",
    syntax: "<color>",
    inherits: false,
    initialValue: "#c9c9c9",
  });
  /* Neutral border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-base-2",
    syntax: "<color>",
    inherits: false,
    initialValue: "#aeaeae",
  });
  /* Neutral border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-base-3",
    syntax: "<color>",
    inherits: false,
    initialValue: "#939393",
  });
  /* Neutral border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-base-4",
    syntax: "<color>",
    inherits: false,
    initialValue: "#747474",
  });
  /* Brand border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-brand-1",
    syntax: "<color>",
    inherits: false,
    initialValue: "#78b0fd",
  });
  /* Alternate brand border color for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-color-border-brand-2",
    syntax: "<color>",
    inherits: false,
    initialValue: "#1b96ff",
  });
  /* Default color for hyperlinks. */
  CSS.registerProperty({
    name: "--sds-g-link-color",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Default color on hover for hyperlinks. */
  CSS.registerProperty({
    name: "--sds-g-link-color-hover",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Default color on focus for hyperlinks. */
  CSS.registerProperty({
    name: "--sds-g-link-color-focus",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Default color on active for hyperlinks. */
  CSS.registerProperty({
    name: "--sds-g-link-color-active",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
  /* Blue 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001639",
  });
  /* Blue 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#03234d",
  });
  /* Blue 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#032d60",
  });
  /* Blue 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#014486",
  });
  /* Blue 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b5cab",
  });
  /* Blue 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0176d3",
  });
  /* Blue 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1b96ff",
  });
  /* Blue 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#57a3fd",
  });
  /* Blue 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#78b0fd",
  });
  /* Blue 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aacbff",
  });
  /* Blue 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d8e6fe",
  });
  /* Blue 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-blue-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eef4ff",
  });
  /* Cloud Blue 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#001a28",
  });
  /* Cloud Blue 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0a2636",
  });
  /* Cloud Blue 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#023248",
  });
  /* Cloud Blue 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#084968",
  });
  /* Cloud Blue 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#05628a",
  });
  /* Cloud Blue 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#107cad",
  });
  /* Cloud Blue 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0d9dda",
  });
  /* Cloud Blue 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#08abed",
  });
  /* Cloud Blue 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1ab9ff",
  });
  /* Cloud Blue 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#90d0fe",
  });
  /* Cloud Blue 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cfe9fe",
  });
  /* Cloud Blue 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-cloud-blue-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#eaf5fe",
  });
  /* Green 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#071b12",
  });
  /* Green 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0c2912",
  });
  /* Green 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0e3522",
  });
  /* Green 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#194e31",
  });
  /* Green 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#22683e",
  });
  /* Green 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e844a",
  });
  /* Green 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3ba755",
  });
  /* Green 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#41b658",
  });
  /* Green 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#45c65a",
  });
  /* Green 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#91db8b",
  });
  /* Green 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cdefc4",
  });
  /* Green 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-green-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ebf7e6",
  });
  /* Hot Orange 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#281202",
  });
  /* Hot Orange 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#421604",
  });
  /* Hot Orange 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#541d01",
  });
  /* Hot Orange 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#7e2600",
  });
  /* Hot Orange 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aa3001",
  });
  /* Hot Orange 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d83a00",
  });
  /* Hot Orange 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ff5d2d",
  });
  /* Hot Orange 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ff784f",
  });
  /* Hot Orange 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ff906e",
  });
  /* Hot Orange 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feb9a5",
  });
  /* Hot Orange 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffded5",
  });
  /* Hot Orange 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-hot-orange-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fef1ed",
  });
  /* Indigo 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#200647",
  });
  /* Indigo 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#1f0974",
  });
  /* Indigo 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#260f8f",
  });
  /* Indigo 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2f2cb7",
  });
  /* Indigo 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3a49da",
  });
  /* Indigo 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5867e8",
  });
  /* Indigo 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#7f8ced",
  });
  /* Indigo 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8e9bef",
  });
  /* Indigo 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#9ea9f1",
  });
  /* Indigo 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#bec7f6",
  });
  /* Indigo 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e0e5f8",
  });
  /* Indigo 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-indigo-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f1f3fb",
  });
  /* Orange 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#201600",
  });
  /* Orange 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#371e03",
  });
  /* Orange 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3e2b02",
  });
  /* Orange 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5f3e02",
  });
  /* Orange 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#825101",
  });
  /* Orange 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a96404",
  });
  /* Orange 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#dd7a01",
  });
  /* Orange 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f38303",
  });
  /* Orange 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe9339",
  });
  /* Orange 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffba90",
  });
  /* Orange 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fedfd0",
  });
  /* Orange 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-orange-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fff1ea",
  });
  /* Pink 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#370114",
  });
  /* Pink 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#4b0620",
  });
  /* Pink 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#61022a",
  });
  /* Pink 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8a033e",
  });
  /* Pink 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#b60554",
  });
  /* Pink 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e3066a",
  });
  /* Pink 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ff538a",
  });
  /* Pink 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe7298",
  });
  /* Pink 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe8aa7",
  });
  /* Pink 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fdb6c5",
  });
  /* Pink 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fddde3",
  });
  /* Pink 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-pink-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fef0f3",
  });
  /* Purple 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#240643",
  });
  /* Purple 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#300b60",
  });
  /* Purple 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#401075",
  });
  /* Purple 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5a1ba9",
  });
  /* Purple 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#7526e3",
  });
  /* Purple 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#9050e9",
  });
  /* Purple 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ad7bee",
  });
  /* Purple 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#b78def",
  });
  /* Purple 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#c29ef1",
  });
  /* Purple 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d78ff5",
  });
  /* Purple 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ece1f9",
  });
  /* Purple 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-purple-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f6f2fb",
  });
  /* Red 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#300c01",
  });
  /* Red 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#4a0c04",
  });
  /* Red 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#640103",
  });
  /* Red 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8e030f",
  });
  /* Red 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ba0517",
  });
  /* Red 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ea001e",
  });
  /* Red 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe5c4c",
  });
  /* Red 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe7765",
  });
  /* Red 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fe8f7d",
  });
  /* Red 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feb8ab",
  });
  /* Red 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#feded8",
  });
  /* Red 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-red-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fef1ee",
  });
  /* Teal 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#071b12",
  });
  /* Teal 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#072825",
  });
  /* Teal 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#023434",
  });
  /* Teal 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#024d4c",
  });
  /* Teal 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#056764",
  });
  /* Teal 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#0b827c",
  });
  /* Teal 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#06a59a",
  });
  /* Teal 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#03b4a7",
  });
  /* Teal 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#01c3b3",
  });
  /* Teal 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#04e1cb",
  });
  /* Teal 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#acf3e4",
  });
  /* Teal 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-teal-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#def9f3",
  });
  /* Violet 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e0039",
  });
  /* Violet 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#3d0157",
  });
  /* Violet 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#520066",
  });
  /* Violet 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#730394",
  });
  /* Violet 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#9602c7",
  });
  /* Violet 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ba01ff",
  });
  /* Violet 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#cb65ff",
  });
  /* Violet 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d17dfe",
  });
  /* Violet 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d892fe",
  });
  /* Violet 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e5b9fe",
  });
  /* Violet 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f2defe",
  });
  /* Violet 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-violet-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f9f0ff",
  });
  /* Yellow 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#281202",
  });
  /* Yellow 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e2204",
  });
  /* Yellow 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#4f2100",
  });
  /* Yellow 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#6f3400",
  });
  /* Yellow 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#8c4b02",
  });
  /* Yellow 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a86403",
  });
  /* Yellow 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ca8501",
  });
  /* Yellow 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#d79304",
  });
  /* Yellow 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e4a201",
  });
  /* Yellow 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fcc003",
  });
  /* Yellow 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f9e3b6",
  });
  /* Yellow 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-yellow-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#fbf3e0",
  });
  /* Neutral 10 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-10",
    syntax: "<color>",
    inherits: true,
    initialValue: "#181818",
  });
  /* Neutral 15 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-15",
    syntax: "<color>",
    inherits: true,
    initialValue: "#242424",
  });
  /* Neutral 20 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-20",
    syntax: "<color>",
    inherits: true,
    initialValue: "#2e2e2e",
  });
  /* Neutral 30 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-30",
    syntax: "<color>",
    inherits: true,
    initialValue: "#444444",
  });
  /* Neutral 40 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-40",
    syntax: "<color>",
    inherits: true,
    initialValue: "#5c5c5c",
  });
  /* Neutral 50 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-50",
    syntax: "<color>",
    inherits: true,
    initialValue: "#747474",
  });
  /* Neutral 60 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-60",
    syntax: "<color>",
    inherits: true,
    initialValue: "#939393",
  });
  /* Neutral 65 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-65",
    syntax: "<color>",
    inherits: true,
    initialValue: "#a0a0a0",
  });
  /* Neutral 70 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-70",
    syntax: "<color>",
    inherits: true,
    initialValue: "#aeaeae",
  });
  /* Neutral 80 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-80",
    syntax: "<color>",
    inherits: true,
    initialValue: "#c9c9c9",
  });
  /* Neutral 90 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-90",
    syntax: "<color>",
    inherits: true,
    initialValue: "#e5e5e5",
  });
  /* Neutral 95 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-95",
    syntax: "<color>",
    inherits: true,
    initialValue: "#f3f3f3",
  });
  /* Neutral 100 */
  CSS.registerProperty({
    name: "--sds-g-color-palette-neutral-100",
    syntax: "<color>",
    inherits: true,
    initialValue: "#ffffff",
  });
  /* Spacing size 1. */
  CSS.registerProperty({
    name: "--sds-g-spacing-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.25rem",
  });
  /* Spacing size 2. */
  CSS.registerProperty({
    name: "--sds-g-spacing-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.5rem",
  });
  /* Spacing size 3. */
  CSS.registerProperty({
    name: "--sds-g-spacing-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.75rem",
  });
  /* Spacing size 4. */
  CSS.registerProperty({
    name: "--sds-g-spacing-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Spacing size 5. */
  CSS.registerProperty({
    name: "--sds-g-spacing-5",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.5rem",
  });
  /* Spacing size 6. */
  CSS.registerProperty({
    name: "--sds-g-spacing-6",
    syntax: "<length>",
    inherits: false,
    initialValue: "2rem",
  });
  /* Spacing size 7. */
  CSS.registerProperty({
    name: "--sds-g-spacing-7",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.5rem",
  });
  /* Spacing size 8. */
  CSS.registerProperty({
    name: "--sds-g-spacing-8",
    syntax: "<length>",
    inherits: false,
    initialValue: "3rem",
  });
  /* Spacing size 9. */
  CSS.registerProperty({
    name: "--sds-g-spacing-9",
    syntax: "<length>",
    inherits: false,
    initialValue: "3.5rem",
  });
  /* Spacing size 10. */
  CSS.registerProperty({
    name: "--sds-g-spacing-10",
    syntax: "<length>",
    inherits: false,
    initialValue: "4rem",
  });
  /* Spacing size 11. */
  CSS.registerProperty({
    name: "--sds-g-spacing-11",
    syntax: "<length>",
    inherits: false,
    initialValue: "4.5rem",
  });
  /* Spacing size 12. */
  CSS.registerProperty({
    name: "--sds-g-spacing-12",
    syntax: "<length>",
    inherits: false,
    initialValue: "5rem",
  });
  /* System font stack for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-family",
    syntax: "<length>",
    inherits: true,
    initialValue: "system-ui, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol'",
  });
  /* Monospace font stack for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-family-monospace",
    syntax: "<length>",
    inherits: true,
    initialValue: "Consolas, Menlo, Monaco, Courier, monospace",
  });
  /* Bold font-weight, use to increase emphasis. */
  CSS.registerProperty({
    name: "--sds-g-font-weight-bold",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "bold",
  });
  /* Font weight 1 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-1",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "100",
  });
  /* Font weight 2 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-2",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "200",
  });
  /* Font weight 3 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-3",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "300",
  });
  /* Font weight 4 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-4",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "400",
  });
  /* Font weight 5 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-5",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "500",
  });
  /* Font weight 6 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-6",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "600",
  });
  /* Font weight 7 */
  CSS.registerProperty({
    name: "--sds-g-font-weight-7",
    syntax: "<custom-ident>",
    inherits: false,
    initialValue: "700",
  });
  /* Default line-height for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.5",
  });
  /* Line-height 1. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-1",
    syntax: "<number>",
    inherits: true,
    initialValue: "1",
  });
  /* Line-height 2. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-2",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.25",
  });
  /* Line-height 3. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-3",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.375",
  });
  /* Line-height 4. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-4",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.5",
  });
  /* Line-height 5. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-5",
    syntax: "<number>",
    inherits: true,
    initialValue: "1.75",
  });
  /* Line-height 6. */
  CSS.registerProperty({
    name: "--sds-g-font-lineheight-6",
    syntax: "<number>",
    inherits: true,
    initialValue: "2",
  });
  /* Default font-size for your application. */
  CSS.registerProperty({
    name: "--sds-g-font-size-base",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Scaled font-size that is 4 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.625rem",
  });
  /* Scaled font-size that is 3 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.75rem",
  });
  /* Scaled font-size that is 2 stops smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.8125rem",
  });
  /* Scaled font-size that is 1 stop smaller than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-neg-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.875rem",
  });
  /* Scaled font-size that is 1 stop bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.125rem",
  });
  /* Scaled font-size that is 2 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.266rem",
  });
  /* Scaled font-size that is 3 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.424rem",
  });
  /* Scaled font-size that is 4 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.602rem",
  });
  /* Scaled font-size that is 5 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-5",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.802rem",
  });
  /* Scaled font-size that is 6 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-6",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.027rem",
  });
  /* Scaled font-size that is 7 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-7",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.281rem",
  });
  /* Scaled font-size that is 8 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-8",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.566rem",
  });
  /* Scaled font-size that is 9 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-9",
    syntax: "<length>",
    inherits: false,
    initialValue: "2.887rem",
  });
  /* Scaled font-size that is 10 stops bigger than the base. */
  CSS.registerProperty({
    name: "--sds-g-font-scale-10",
    syntax: "<length>",
    inherits: false,
    initialValue: "3.247rem",
  });
  /* Small border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.125rem",
  });
  /* Medium border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.25rem",
  });
  /* Large border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.5rem",
  });
  /* Extra Large border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Circular border radius for UI elements. */
  CSS.registerProperty({
    name: "--sds-g-radius-border-circle",
    syntax: "<length>",
    inherits: false,
    initialValue: "100%",
  });
  /* Square aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-square",
    syntax: "<length>",
    inherits: false,
    initialValue: "1",
  });
  /* Landscape aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-landscape",
    syntax: "<length>",
    inherits: false,
    initialValue: "4/3",
  });
  /* Portrait aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-portrait",
    syntax: "<length>",
    inherits: false,
    initialValue: "3/4",
  });
  /* Widescreen aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-wide",
    syntax: "<length>",
    inherits: false,
    initialValue: "16/9",
  });
  /* Ultra Widescreen aspect ratio. */
  CSS.registerProperty({
    name: "--sds-g-ratio-ultrawide",
    syntax: "<length>",
    inherits: false,
    initialValue: "18/5",
  });
  /* Shadow depth 1 */
  CSS.registerProperty({
    name: "--sds-g-shadow-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0 0 2px 0 #18181814, 0 2px 4px 1px #18181828",
  });
  /* Shadow depth 2 */
  CSS.registerProperty({
    name: "--sds-g-shadow-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0 2px 8px -2px #18181814, 0 8px 12px -2px #18181828",
  });
  /* Shadow depth 3 */
  CSS.registerProperty({
    name: "--sds-g-shadow-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0 12px 24px -4px #18181814, 0 16px 32px -4px #18181828",
  });
  /* Shadow depth 4 */
  CSS.registerProperty({
    name: "--sds-g-shadow-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "0 24px 48px -4px #18181833",
  });
  /* Border size 1. */
  CSS.registerProperty({
    name: "--sds-g-sizing-border-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "1px",
  });
  /* Border size 2. */
  CSS.registerProperty({
    name: "--sds-g-sizing-border-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "2px",
  });
  /* Border size 3. */
  CSS.registerProperty({
    name: "--sds-g-sizing-border-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "3px",
  });
  /* Border size 4. */
  CSS.registerProperty({
    name: "--sds-g-sizing-border-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "4px",
  });
  /* Size 1. */
  CSS.registerProperty({
    name: "--sds-g-sizing-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.125rem",
  });
  /* Size 2. */
  CSS.registerProperty({
    name: "--sds-g-sizing-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.25rem",
  });
  /* Size 3. */
  CSS.registerProperty({
    name: "--sds-g-sizing-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.5rem",
  });
  /* Size 4. */
  CSS.registerProperty({
    name: "--sds-g-sizing-4",
    syntax: "<length>",
    inherits: false,
    initialValue: "0.75rem",
  });
  /* Size 5. */
  CSS.registerProperty({
    name: "--sds-g-sizing-5",
    syntax: "<length>",
    inherits: false,
    initialValue: "1rem",
  });
  /* Size 6. */
  CSS.registerProperty({
    name: "--sds-g-sizing-6",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.25rem",
  });
  /* Size 7. */
  CSS.registerProperty({
    name: "--sds-g-sizing-7",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.5rem",
  });
  /* Size 8. */
  CSS.registerProperty({
    name: "--sds-g-sizing-8",
    syntax: "<length>",
    inherits: false,
    initialValue: "1.75rem",
  });
  /* Size 9. */
  CSS.registerProperty({
    name: "--sds-g-sizing-9",
    syntax: "<length>",
    inherits: false,
    initialValue: "2rem",
  });
  /* Size 10. */
  CSS.registerProperty({
    name: "--sds-g-sizing-10",
    syntax: "<length>",
    inherits: false,
    initialValue: "3rem",
  });
  /* Size 11. */
  CSS.registerProperty({
    name: "--sds-g-sizing-11",
    syntax: "<length>",
    inherits: false,
    initialValue: "4rem",
  });
  /* Size 12. */
  CSS.registerProperty({
    name: "--sds-g-sizing-12",
    syntax: "<length>",
    inherits: false,
    initialValue: "5rem",
  });
  /* Size 13. */
  CSS.registerProperty({
    name: "--sds-g-sizing-13",
    syntax: "<length>",
    inherits: false,
    initialValue: "10rem",
  });
  /* Size 14. */
  CSS.registerProperty({
    name: "--sds-g-sizing-14",
    syntax: "<length>",
    inherits: false,
    initialValue: "15rem",
  });
  /* Size 15. */
  CSS.registerProperty({
    name: "--sds-g-sizing-15",
    syntax: "<length>",
    inherits: false,
    initialValue: "20rem",
  });
  /* Size 16. */
  CSS.registerProperty({
    name: "--sds-g-sizing-16",
    syntax: "<length>",
    inherits: false,
    initialValue: "30rem",
  });
  /* Content Size 1. */
  CSS.registerProperty({
    name: "--sds-g-sizing-content-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "20ch",
  });
  /* Content Size 2. */
  CSS.registerProperty({
    name: "--sds-g-sizing-content-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "45ch",
  });
  /* Content Size 3. */
  CSS.registerProperty({
    name: "--sds-g-sizing-content-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "60ch",
  });
  /* Header content size 1. */
  CSS.registerProperty({
    name: "--sds-g-sizing-heading-1",
    syntax: "<length>",
    inherits: false,
    initialValue: "20ch",
  });
  /* Header content size 2. */
  CSS.registerProperty({
    name: "--sds-g-sizing-heading-2",
    syntax: "<length>",
    inherits: false,
    initialValue: "25ch",
  });
  /* Header content size 3. */
  CSS.registerProperty({
    name: "--sds-g-sizing-heading-3",
    syntax: "<length>",
    inherits: false,
    initialValue: "35ch",
  });
}
